## EMailPartAttachment

EMailPartAttachment

## Synopsis

    #define             E_MAIL_PART_ATTACHMENT_MIME_TYPE
    struct              EMailPartAttachment;
    EMailPartAttachment * e_mail_part_attachment_new        (CamelMimePart *mime_part,
                                                             const gchar *id);
    EAttachment *       e_mail_part_attachment_ref_attachment
                                                            (EMailPartAttachment *part);

## Object Hierarchy

      GObject
       +----EMailPart
             +----EMailPartAttachment

## Implemented Interfaces

EMailPartAttachment implements EExtensible.

## Properties

      "attachment"               EAttachment*          : Read

## Description

## Details

### E_MAIL_PART_ATTACHMENT_MIME_TYPE

    #define             E_MAIL_PART_ATTACHMENT_MIME_TYPE

### struct EMailPartAttachment

    struct EMailPartAttachment;

### e_mail_part_attachment_new ()

    EMailPartAttachment * e_mail_part_attachment_new        (CamelMimePart *mime_part,
                                                             const gchar *id);

### e_mail_part_attachment_ref_attachment ()

    EAttachment *       e_mail_part_attachment_ref_attachment
                                                            (EMailPartAttachment *part);

## Property Details

### The `"attachment"` property

      "attachment"               EAttachment*          : Read

The attachment object.